# IPFS

это межпланетная файловая система, которая является альтернативой торрентов и cdn.
От первых ее отличает высокая скорость, и не изменяемость данных,а от вторых - то что она свободно распространяемая и не зависит от конкретного поставшика услуг

Подробнее о ней можно почитать по ссылкам ниже

- [IPFS Powers the Distributed Web](https://ipfs.tech/)
- [IPFS Documentation | IPFS Docs](https://docs.ipfs.tech/)
- [GitHub - ipfs/kubo: An IPFS implementation in Go](https://github.com/ipfs/kubo)
  - programming lang: go
  - licenses: MIT, Apache-2.0
- [rs-ipfs/rust-ipfs: The InterPlanetary File System (IPFS), implemented in Rust.](https://github.com/rs-ipfs/rust-ipfs)
  - programming lang: rust
  - licenses: MIT, Apache-2.0
  - status: archived
- [GitHub - n0-computer/iroh: IPFS reimagined.](https://github.com/n0-computer/iroh)
  - programming lang: rust
  - licenses: MIT, Apache-2.0

- [IPFS Cluster - Pinset orchestration for IPFS](https://ipfscluster.io/)
  - [GitHub - ipfs-cluster/ipfs-cluster: Pinset orchestration for IPFS](https://github.com/ipfs-cluster/ipfs-cluster)
  - programming lang: go
  - licenses: MIT, Apache-2.0
- [GitHub - ipdr/ipdr: 🐋 IPFS-backed Docker Registry](https://github.com/ipdr/ipdr)
  - programming lang: go
  - license: MIT
- [Ipfs public gateway status](https://ipfs.fooock.com/)
  - [GitHub - fooock/ipfs-gateway-checker: IPFS public gateway checker https://ipfs.fooock.com/](https://github.com/fooock/ipfs-gateway-checker)
  - programming lang: Java,TypeScript
  - licenses: GPL-3.0

## Сервисы на нем
- [Web3 Storage - Simple file storage with IPFS & Filecoin](https://web3.storage/)
  - description: Бесплатное 5GB хранилище на ipfs, не рекомендуем пользоваться - bullshit
  - [web3-storage/web3.storage: ⁂ The simple file storage service for IPFS & Filecoin](https://github.com/web3-storage/web3.storage)
  - programming lang: javascript
  - licenses: MIT, Apache-2
- [Estuary](https://estuary.tech/)
  - [GitHub - application-research/estuary: A custom IPFS/Filecoin node that makes it easy to pin IPFS content and make Filecoin deals.](https://github.com/application-research/estuary)
  - programming lang: go
  - licenses: Apache-2.0 or MIT
- [textileio: Our mission is to accelerate the exchange of information across society.](https://textile.notion.site/Our-mission-is-to-accelerate-the-exchange-of-information-across-society-f49e389e12e14473a3475e755a8d9cd6)
  - [GitHub - textileio/powergate: Multitiered file storage API built on Filecoin and IPFS](https://github.com/textileio/powergate)
  - programming lang: go
  - licenses: Apache-2.0 or MIT

## Интересные видеоматериалы
- [IPFS - межпланетная файловая система и как ее готовить | Леченко Антон (Live Stream) - Invidious](https://redirect.invidious.io/watch?v=YXQvGidv0u4)
- [Compute + IPFS - @evgenyponomarev - Building Apps on IPFS - Invidious](https://redirect.invidious.io/watch?v=RsG70fkYrSE)
- [IPFS þing 2022 - Invidious](https://redirect.invidious.io/playlist?list=PLuhRWgmPaHtQhyXIhu2P6e-8WlYOf8wyH)

## Кое что сохраненное на ipfs
| Название | Хеш |
| - | - |
| История Appimage Flatpak и Snap,Aleksey Samoilov | [QmZStX2HiLLoH3cVGY1gx6FEotbiL5nuZysFh6RtDqvqSj](https://ipfs.io/ipfs/QmZStX2HiLLoH3cVGY1gx6FEotbiL5nuZysFh6RtDqvqSj)
| История оболочки GNOME Aleksey Samoilov | [QmVoUjdVtd9Squ7hm7k3m6qrCZkfnbUxNyme7yu3honW8S](https://ipfs.io/ipfs/QmVoUjdVtd9Squ7hm7k3m6qrCZkfnbUxNyme7yu3honW8S)

## Другие списки
- [ipfs/awesome-ipfs: Useful resources for using IPFS and building things on top of it](https://github.com/ipfs/awesome-ipfs)
